<?php
/**
 * ページ(page.php)で子ページを取得しアイキャッチ画像と抜粋を出力する複合ループ.
 */
?>
<?php $children = new WP_Query(array(
	'numberposts' => -1
	, 'order' => 'ASC'
	, 'orderby' => 'menu_order'
	, 'post_type' => 'page'
	, 'post_parent' => get_the_ID())); ?>

<?php if ($children->have_posts()) : ?>
	<?php while ($children->have_posts()) : $children->the_post(); ?>
		<article class="article-childpage">
			<a href="<?php the_permalink(); ?>">
				<?php // アイキャッチ画像があれば出力 ?>
				<?php if (has_post_thumbnail()) : ?>
					<?php the_post_thumbnail(); ?>
				<?php endif; ?>

				<?php // タイトル・抜粋を出力 ?>
				<h2><?php the_title(); ?></h2>
				<?php the_excerpt(); ?>
			</a>
		<!-- /.article-childpage --></article>
	<?php endwhile; ?>
<?php else: ?>
	<p>現在表示する記事がありません。</p>
<?php endif; ?>

<?php wp_reset_postdata(); ?>
